## com.thingmagic
Enum Gen2.Untraceable.User

    java.lang.Object
      java.lang.Enum<Gen2.Untraceable.User>
          com.thingmagic.Gen2.Untraceable.User

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Untraceable.User>

Enclosing class:
  Gen2.Untraceable

    public static enum Gen2.Untraceable.User

extends java.lang.Enum<Gen2.Untraceable.User>

Gen2v2 untraceably hides part of UserMemory memory or not

Enum Constant Summary
`HIDE` Tag hides User memory
`SHOW` Tag exposes User memory

Method Summary
`static Gen2.Untraceable.User` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Untraceable.User[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIDE

    public static final Gen2.Untraceable.User HIDE

  Tag hides User memory

### SHOW

    public static final Gen2.Untraceable.User SHOW

  Tag exposes User memory

Method Detail

### values

    public static Gen2.Untraceable.User[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Untraceable.User c : Gen2.Untraceable.User.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Untraceable.User valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null